Name:                maven-jaxb2-plugin
Version:             0.13.0
Release:             2
Summary:             Provides the capability to generate java sources from schemas
License:             BSD-3-Clause and Apache-2.0
URL:                 http://java.net/projects/maven-jaxb2-plugin/pages/Home
Source0:             https://github.com/highsource/maven-jaxb2-plugin/archive/refs/tags/0.13.0.tar.gz
Patch0:              %{name}-0.13.0-dont-use-internal-resolver.patch
Patch1:              %{name}-0.13.0-adapt-for-maven-3.patch
Patch2:              %{name}-0.13.0-remove-enconding-option.patch
BuildArch:           noarch
BuildRequires:       java-headless maven-local mvn(com.sun.codemodel:codemodel) mvn(junit:junit)
BuildRequires:       mvn(org.apache.commons:commons-lang3) mvn(org.apache.maven:maven-compat)
BuildRequires:       mvn(org.apache.maven:maven-core) mvn(org.apache.maven:maven-plugin-api)
BuildRequires:       mvn(org.apache.maven.plugin-testing:maven-plugin-testing-harness)
BuildRequires:       mvn(org.apache.maven.plugin-tools:maven-plugin-annotations)
BuildRequires:       mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:       mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires:       mvn(org.codehaus.plexus:plexus-utils) mvn(org.glassfish.jaxb:jaxb-runtime)
BuildRequires:       mvn(org.glassfish.jaxb:jaxb-xjc) mvn(org.slf4j:slf4j-api)
BuildRequires:       mvn(org.sonatype.oss:oss-parent:pom:) mvn(org.sonatype.plexus:plexus-build-api)
BuildRequires:       mvn(xml-resolver:xml-resolver)
%description
This Maven 2 plugin wraps the JAXB 2.x XJC compiler and provides the capability
to generate Java sources from XML Schemas.

%package javadoc
Summary:             API documentation for %{name}
%description javadoc
The API documentation of %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%pom_disable_module plugin-2.0
%pom_disable_module plugin-2.1
%pom_add_dep com.sun.codemodel:codemodel:2.6 plugin
%pom_add_dep com.sun.codemodel:codemodel:2.6 plugin-2.2

%build
(cd plugin-core/src/main/java/org/jvnet/jaxb2/maven2/resolver/tools/;
 mv DelegatingReaderWrapper.java DelegatingReaderWrapper.java_
 mv DelegatingInputStreamWrapper.java DelegatingInputStreamWrapper.java_
)
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Fri Nov 11 2022 Ge Wang <wangge20@h-partners.com> - 0.13.0-2
- Bring source file into correspondence with descirbed in spec file

* Wed Aug 5 2020 chengzihan <chengzihan2@huawei.com> - 0.13.0-1
- Package init
